Update OAS API categories.
curl --request PUT \
--url https://{tenant}/api/apis/oas/{apiId}/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
"dev",
"testers",
"messages"
]
}
'import requests
url = "https://{tenant}/api/apis/oas/{apiId}/categories"
payload = { "categories": ["dev", "testers", "messages"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({categories: ['dev', 'testers', 'messages']})
};
fetch('https://{tenant}/api/apis/oas/{apiId}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "API categories updated.",
"Meta": null,
"Status": "OK"
}{
"Message": "Failed to update ApiDef object to DB.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/apis/oas/{apiId}/categories",
"Meta": null,
"Status": "Error"
}{
"Message": "API not found",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to update ApiDef object to DB.",
"Meta": null,
"Status": "Error"
}OAS APIs
Update OAS API categories.
Update the list of API categories associated with the specified API.
PUT
/
api
/
apis
/
oas
/
{apiId}
/
categories
Update OAS API categories.
Was this page helpful?
⌘I